require 'rails_helper'

feature "記事の投稿機能" do
  scenario "記事を新規作成できること" do
    visit "/articles/new"

    fill_in "article_title", with: "テスト用のタイトル"
    fill_in "article_body", with: "テスト用のエントリ"

    click_button "投稿"

    expect(page).to have_content "テスト用のタイトル"
    expect(page).to have_content "テスト用のエントリ"
  end
end
