require 'rails_helper'

RSpec.describe ArticlesHelper, :type => :helper do
  describe '#posted_on' do
    before do
      @now = Time.now
      @article = Article.create(
        title: "First Post",
        body: "Hello"
      )
    end

    it { expect(helper.posted_on(@article)).to eq "#{@now.year}/#{@now.month}/#{@now.day}" }
  end
end
