require 'rails_helper'

RSpec.describe "articles/index.html.erb", :type => :view do
  before do
    assign :articles, [
      Article.create(
        title: "初めてのブログ",
        body: "こんにちは"
      )
    ]

    render
  end

  it "記事のタイトルが表示されること" do
    expect(rendered).to match /初めてのブログ/
  end

  it "記事の本文が表示されること" do
    expect(rendered).to match /こんにちは/
  end
end
